Skip to main content
GET
/
v1
/
merchants
/
{merchantId}
/
cashouts
/
{id}
/
receipt
Get merchant cashout receipt
curl --request GET \
  --url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/cashouts/{id}/receipt \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/cashouts/{id}/receipt"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/cashouts/{id}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cashout": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "amount": 5034,
    "fee": 10,
    "net_amount": 5024,
    "currency": "BRL",
    "status": "COMPLETED",
    "method": "PIX",
    "end_to_end_id": "E13935893202601271529YV9B1m6o2Ih",
    "created_at": "2026-01-27T12:29:21.000Z"
  },
  "payer": {
    "name": "WALTER NOBRE DA SILVA CONCEICAO",
    "document": "XXX.588.782-XX",
    "bank_name": "BCO SANTANDER (BRASIL) S.A.",
    "ispb": "90400888",
    "branch": "2305",
    "account": "010227424"
  },
  "receiver": {
    "bank_account": {
      "name": "WALTER NOBRE DA SILVA CONCEICAO",
      "document": "XXX.588.782-XX",
      "bank_name": "BCO SANTANDER (BRASIL) S.A.",
      "ispb": "90400888",
      "branch": "2305",
      "account": "010227424"
    },
    "pix_data": {
      "key": "12345678901",
      "type": "CPF"
    }
  },
  "pdf_file_base64": "JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwo..."
}
{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}
{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}

Authorizations

x-api-key
string
header
required

Company API key for authentication

Path Parameters

merchantId
string<uuid>
required

The merchant ID

id
string<uuid>
required

The cashout ID

Response

Receipt generated successfully

Cashout receipt response with PDF

cashout
object
required

Cashout details for receipt

payer
object
required

Origin account (payer) information

receiver
object
required

Destination account (receiver) information

pdf_file_base64
string
required

Base64-encoded PDF receipt

Example:

"JVBERi0xLjQKJeLjz9MKMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwo..."